Subject: Re: [PATCH 1/7] netpoll: shorten carrier detect timeout

From: Patrick McHardy <[email-masked]>
Date: Fri, 11 Mar 2005 05:35:05 +0100

Matt Mackall wrote:
> Ok, on closer inspection, the current logic is: the NIC reports
> carrier detect nearly instaneously and thus its carrier detect
> reporting is considered unreliable. Rather than immediately sending
> packets, we wait for some interval for it to really be up so that the
> backlog of console messages doesn't get pumped into the bit bucket.
> 
> So I'm going to change it from "flaky" to "untrustworthy" and add a
> comment.

Why don't you trust an instaneously available carrier? Any
reason to assume there will be false positives?

Regards
Patrick